package com.ruoyi.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;
import java.util.StringJoiner;

/**
 * 【请填写功能名称】对象 t_early_warning
 *
 * @author ruoyi
 * @date 2023-09-27
 */
public class TEarlyWarning extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 预警id
     */
    private Long id;

    /**
     * 用户id
     */
    @Excel(name = "用户id")
    private Long userId;

    /**
     * 状态：0-未处理；1-已处理；2-处理中
     */
    @Excel(name = "状态：0-未处理；1-已处理；2-处理中")
    private Integer state;
    /**
     * 状态：0-未处理；1-处理中；2-已处理
     */
    @Excel(name = "状态：0-未处理；1-处理中；2-已处理")
    private Integer solve_status;

    /**
     * 报警类型：0 无效16:SOS报警;17:低电报警;20:手环拆除报警;21:跌倒报警;22:心率异常报警,23:血压异常报警，24:体温异常报警，25:血氧异常报警
     */
    @Excel(name = "报警类型：0 无效16:SOS报警;17:低电报警;20:手环拆除报警;21:跌倒报警;22:心率异常报警,23:血压异常报警，24:体温异常报警，25:血氧异常报警")
    private Integer type;

    /**
     * 告警内容
     */
    @Excel(name = "告警内容")
    private String content;
    /**
     * 告警内容
     */
    @Excel(name = "告警内容")
    private String alarmMsg;

    /**
     * 事件记录
     */
    @Excel(name = "事件记录")
    private String eventRecord;

    /**
     * 事件记录
     */
    @Excel(name = "事件记录")
    private String msg;

    /**
     * 预警定位
     */
    @Excel(name = "预警定位")
    private String location;

    /**
     * 告警地址
     */
    @Excel(name = "告警地址")
    private String address_desc;

    /**
     * 经度
     */
    @Excel(name = "经度")
    private Double lng;

    /**
     * 维度
     */
    @Excel(name = "维度")
    private Double lat;
    /**
     * 经度
     */
    @Excel(name = "经度")
    private Double gps_long;

    /**
     * 维度
     */
    @Excel(name = "维度")
    private Double gps_lat;

    /**
     * 设备ID
     */
    @Excel(name = "设备ID")
    private Long facilityId;

    /**
     * 设置id编码
     */
    @Excel(name = "设置id编码")
    private String deviceIdCode;

    /**
     * 预警表ID
     */
    @Excel(name = "预警表ID")
    private Long alarmId;
    /**
     * 用户名
     */
    @Excel(name = "用户名")
    private String name;
    /**
     * 手机号
     */
    @Excel(name = "手机号")
    private String tel_one;
    /**
     * 所属机构ID
     */
    @Excel(name = "所属机构ID")
    private Long service_id;
    /**
     * 所属机构名称
     */
    @Excel(name = "所属机构名称")
    private String store_name;
    /**
     * 设备型号
     */
    @Excel(name = "设备型号")
    private String device_model;
    /**
     * 事件类型
     */
    @Excel(name = "事件类型")
    private Integer alarm_type;

    /**
     * 类型描述
     */
    @Excel(name = "类型描述")
    private String typeDesc;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public Integer getSolve_status() {
        return solve_status;
    }

    public void setSolve_status(Integer solve_status) {
        this.solve_status = solve_status;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getAlarmMsg() {
        return alarmMsg;
    }

    public void setAlarmMsg(String alarmMsg) {
        this.alarmMsg = alarmMsg;
    }

    public String getEventRecord() {
        return eventRecord;
    }

    public void setEventRecord(String eventRecord) {
        this.eventRecord = eventRecord;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public String getLocation() {
        if (location == null) {
            location = "";
        }
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getAddress_desc() {
        return address_desc;
    }

    public void setAddress_desc(String address_desc) {
        this.address_desc = address_desc;
    }

    public Double getLng() {
        return lng;
    }

    public void setLng(Double lng) {
        this.lng = lng;
    }

    public Double getLat() {
        return lat;
    }

    public void setLat(Double lat) {
        this.lat = lat;
    }

    public Double getGps_long() {
        return gps_long;
    }

    public void setGps_long(Double gps_long) {
        this.gps_long = gps_long;
    }

    public Double getGps_lat() {
        return gps_lat;
    }

    public void setGps_lat(Double gps_lat) {
        this.gps_lat = gps_lat;
    }

    public Long getFacilityId() {
        return facilityId;
    }

    public void setFacilityId(Long facilityId) {
        this.facilityId = facilityId;
    }

    public String getDeviceIdCode() {
        return deviceIdCode;
    }

    public void setDeviceIdCode(String deviceIdCode) {
        this.deviceIdCode = deviceIdCode;
    }

    public Long getAlarmId() {
        return alarmId;
    }

    public void setAlarmId(Long alarmId) {
        this.alarmId = alarmId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getTel_one() {
        return tel_one;
    }

    public void setTel_one(String tel_one) {
        this.tel_one = tel_one;
    }

    public Long getService_id() {
        return service_id;
    }

    public void setService_id(Long service_id) {
        this.service_id = service_id;
    }

    public String getStore_name() {
        return store_name;
    }

    public void setStore_name(String store_name) {
        this.store_name = store_name;
    }

    public String getDevice_model() {
        return device_model;
    }

    public void setDevice_model(String device_model) {
        this.device_model = device_model;
    }

    public Integer getAlarm_type() {
        return alarm_type;
    }

    public void setAlarm_type(Integer alarm_type) {
        this.alarm_type = alarm_type;
    }

    public String getTypeDesc() {
        return typeDesc;
    }

    public void setTypeDesc(String typeDesc) {
        this.typeDesc = typeDesc;
    }

    @Override
    public String toString() {
        return new StringJoiner(", ", TEarlyWarning.class.getSimpleName() + "[", "]")
                .add("id=" + id)
                .add("userId=" + userId)
                .add("state=" + state)
                .add("solve_status=" + solve_status)
                .add("type=" + type)
                .add("content='" + content + "'")
                .add("alarmMsg='" + alarmMsg + "'")
                .add("eventRecord='" + eventRecord + "'")
                .add("msg='" + msg + "'")
                .add("location='" + location + "'")
                .add("address_desc='" + address_desc + "'")
                .add("lng=" + lng)
                .add("lat=" + lat)
                .add("gps_long=" + gps_long)
                .add("gps_lat=" + gps_lat)
                .add("facilityId=" + facilityId)
                .add("deviceIdCode='" + deviceIdCode + "'")
                .add("alarmId=" + alarmId)
                .add("name='" + name + "'")
                .add("tel_one='" + tel_one + "'")
                .add("service_id=" + service_id)
                .add("store_name='" + store_name + "'")
                .add("device_model='" + device_model + "'")
                .add("alarm_type=" + alarm_type)
                .add("typeDesc='" + typeDesc + "'")
                .toString();
    }
}
